<?php
/**
 * Typography Setting
 *
 * @package electrical_services
 */

// Typography Setting
$wp_customize->add_section(
    'electrical_services_typography_setting',
    array(
        'panel' => 'electrical_services_theme_options',
        'title' => esc_html__( 'Typography Setting', 'electrical-services' ),
    )
);

$wp_customize->add_setting(
    'electrical_services_site_title_font',
    array(
        'default'           => 'Familjen Grotesk',
        'sanitize_callback' => 'electrical_services_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'electrical_services_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'electrical-services' ),
        'section'  => 'electrical_services_typography_setting',
        'settings' => 'electrical_services_site_title_font',
        'type'     => 'select',
        'choices'  => electrical_services_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'electrical_services_site_description_font',
	array(
		'default'           => 'Roboto Flex',
		'sanitize_callback' => 'electrical_services_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'electrical_services_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'electrical-services' ),
		'section'  => 'electrical_services_typography_setting',
		'settings' => 'electrical_services_site_description_font',
		'type'     => 'select',
		'choices'  => electrical_services_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'electrical_services_header_font',
	array(
		'default'           => 'Familjen Grotesk',
		'sanitize_callback' => 'electrical_services_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'electrical_services_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'electrical-services' ),
		'section'  => 'electrical_services_typography_setting',
		'settings' => 'electrical_services_header_font',
		'type'     => 'select',
		'choices'  => electrical_services_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'electrical_services_content_font',
	array(
		'default'           => 'Roboto Flex',
		'sanitize_callback' => 'electrical_services_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'electrical_services_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'electrical-services' ),
		'section'  => 'electrical_services_typography_setting',
		'settings' => 'electrical_services_content_font',
		'type'     => 'select',
		'choices'  => electrical_services_get_all_google_font_families(),
	)
);